Subject: bug#11890: 24.1; (wrong-type-argument processp nil) in `shell-mode'

From: "Drew Adams" <[email-masked]>
Date: Mon, 9 Jul 2012 09:04:45 -0700

> If you want sh-mode, then use it.  shell-mode isn't it.

Fine, but OT.  This is bug-gnu-emacs, not help-gnu-emacs.

That is not the point of the bug report, which states clearly
"Yes, I imagine that that is not an expected user interaction.".

What I meant to type was `M-x shell'.

FYI - Prior to Emacs 24, until you loaded some shell-related library, command
`shell-mode' was simply not recognized.  But once you did load it, if you used
`M-x shell-mode' in an inappropriate context (e.g. buffer foo.el), you got the
same error.

If `shell-mode' is a command that is intended only for certain contexts then it
should control/manage that.  It should issue a proper error message when the
context is inappropriate.  It should not simply barf with a wrong-type arg
error.

That is the point of the bug report, as was stated clearly at the outset:
"Still, the error message shown does not seem appropriate (low-level)."